| kspaceFirstOrder3D-OMP 1.1 The C++ implementation of the k-wave toolbox for the time-domain simulation of acoustic wave fields in 3D

- Main Page
- Related Pages
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Friends Pages
Functions | Variables
main.cpp File Reference

The main file of kspaceFirstOrder3D-OMP. More...

`#include <cstdlib>`
`#include <iostream>`
`#include <exception>`
`#include <KSpaceSolver/KSpaceFirstOrder3DSolver.h>`
Include dependency graph for main.cpp:

Go to the source code of this file.

## Functions
int | main (int argc, char **argv)

## Variables
static const char * | FMT_SmallSeparator = "--------------------------------\n"
| separator

## Detailed Description

Author
  Jiri Jaros
  Faculty of Information Technology
  Brno University of Technology
  jaros.nosp@m.jir@.nosp@m.fit.v.nosp@m.utbr.nosp@m..cz

Version
  kspaceFirstOrder3D 2.15

Date
  11 July 2012, 10:57 (created)
  02 October 2014, 10:06 (revised)

# License

This file is part of the C++ extension of the k-Wave Toolbox (http://www.k-wave.org).
Copyright (C) 2014 Jiri Jaros and Bradley Treeby

This file is part of k-Wave. k-Wave is free software: you can redistribute it and/or modify it under the terms of the GNU Lesser General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

k-Wave is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public License along with k-Wave. If not, see http://www.gnu.org/licenses/.

Definition in file main.cpp.

## Function Documentation

int main | ( | int | argc,
|  | char ** | argv
| ) |  |

The main function of the ksppaceFirstOrder3D-OMP

Parameters

  [in] | argc |
  [in] | argv |

Returns

Definition at line 821 of file main.cpp.

Here is the call graph for this function: